TypeFound (Apache Ant API)
Description: declaration: package: org.apache.tools.ant.taskdefs.condition, class: TypeFound

Package org.apache.tools.ant.taskdefs.condition

# Class TypeFound

java.lang.Object
org.apache.tools.ant.ProjectComponent
org.apache.tools.ant.taskdefs.condition.TypeFound

All Implemented Interfaces:
  `java.lang.Cloneable`, `Condition`

    public class TypeFound
    extends ProjectComponent
    implements Condition

looks for a task or other Ant type that exists. Existence is defined as the type is defined, and its implementation class is present. This will work for datatypes and preset, script and macro definitions.

- ## Field Summary

  ### Fields inherited from class org.apache.tools.ant.ProjectComponent

  `description, location, project`

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `TypeFound()` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `protected boolean` | `doesTypeExist​(java.lang.String typename)` | test for a task or other ant type existing in the current project
  `boolean` | `eval()` | Is this condition true?
  `void` | `setName​(java.lang.String name)` | the task or other type to look for
  `void` | `setURI​(java.lang.String uri)` | The URI for this definition.

  ### Methods inherited from class org.apache.tools.ant.ProjectComponent

  `clone, getDescription, getLocation, getProject, log, log, setDescription, setLocation, setProject`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### TypeFound

    public TypeFound()

- ## Method Details

  - ### setName

    public void setName​(java.lang.String name)
    the task or other type to look for
    Parameters:
      `name` - the name of the type

  - ### setURI

    public void setURI​(java.lang.String uri)
    The URI for this definition.
    Parameters:
      `uri` - the namespace URI. If this is not set, use the default ant namespace.

  - ### doesTypeExist

    protected boolean doesTypeExist​(java.lang.String typename)
    test for a task or other ant type existing in the current project
    Parameters:
      `typename` - the name of the type
    Returns:
      true if the typename exists

  - ### eval

    public boolean eval() throws BuildException
    Is this condition true?
    Specified by:
      `eval` in interface `Condition`
    Returns:
      true if the condition is true
    Throws:
      `BuildException` - if an error occurs